c
c=======================================================================
c  Include file "hybrid.h".
c=======================================================================
#ifndef rmdocinc
c
c  DBLSIGMA   switch to activate double "sigma" transformation
c             (integer): [0] no, [1] yes.
c  DEPTHMT    depths (cm) at the middle of the tracer boxes (real
c             array).
c  DEPTHMV    depths (cm) at the middle of the velocity boxes (real
c             array).
#ifdef surfpress
c  DEPTHFT   the depths (cm) at the middle of the tracer boxes    
c            with surface at z=0.   (real; cm)
c  DEPTHFV   the depths (cm) at the middle of the velocity boxes  
c            with surface at z=0.   (real; cm)
c  DZTF       Thicknesses over T-grid, deformed by free surface. (real;cm)
c  DZVF       Thicknesses over V-grid, deformed by free surface. (real;cm)
c  HVZF       Deformed total thickness over V-grid. (real array; cm)
#endif
c  DZT        Thicknesses over T-grid.  (real; cm)
c  DZV        Thicknesses over V-grid.  (real; cm)
c  HAVG       average thickness (cm) of the hybrid levels (real).
c  HC         depth (cm) of the interface (real).
c  HV         bathymetry (cm) at the velocity points (real array).
c  HTZ        Total thickness over T-grid (real array; cm).
c  HVZ        Total thickness over V-grid (real array; cm).
c  HZ         nominal vertical thicknesses (real array; cm).
c  KC         coordinate interface level (integer).
#ifdef surfpress
c  KP         number of deformable layers (integer).
#endif
c  ZC1        minimum depth (cm) of coordinate interface (real).
c  ZC2        maximum depth (cm) of coordinate interface (real).
c  ZREF       reference depth (cm) for coordinate interface (real).
c  ZSLOPE     slope parameter of the coordinate interface (real).
c  ZPE        depths (cm) of the flat levels (real array).
c
c=======================================================================
#endif
c
      integer          dblsigma,kc
#ifdef surfpress
     &                 ,kp
#endif
      common /ihybrid/ dblsigma,kc
#ifdef surfpress
     &                 ,kp
#endif
c
      real havg,hc,zc1,zc2,zref,zslope
      real depthmt(np,nz),depthmv(np,nz),dzt(np,nz),dzv(np,nz),hv(np),
     &                 htz(np),hvz(np),hz(nz),zpe(nz)
#ifdef surfpress
     &                 ,depthft(np,nz),depthfv(np,nz),dztf(np,nz),
     &                  dzvf(np,nz),hvzf(np)
#endif
      common /fhybrid/ hc,havg,zc1,zc2,zref,zslope,zpe,hz,hv,htz,hvz,
     &                 depthmt,depthmv,dzt,dzv
#ifdef surfpress
     &                 ,depthft,depthfv,dztf,dzvf,hvzf
#endif
