c
c=======================================================================
c  Include file "qgfldid.h".
c=======================================================================
c
#ifndef rmdocinc
c  QG fields classification:
c
c   QGAPSI  analized streamfunction (nondimensional)
c   QGAVOR  analized vorticity (nondimensional)
c   QGBATH  bottom topography (m)
c   QGDANO  density anomaly (sigma-1000)
c   QGDENB  QG bottom density
c   QGDENT  QG top density
c   QGDHER  dynamic height error
c   QGDHMN  dynamic height mean (dyn m)
c   QGDYNH  dynamic height (dyn m)
c   QGEMAG  horizontal Ekman velocity vector magnitude (cm/s)
c   QGEVEC  horizontal Ekman velocity vectors (cm/s)
c   QGEVXC  zonal Ekman velocity component (cm/s)
c   QGEVYC  meridional Ekman velocity component (cm/s)
c   QGFXAH  Accumulated Heat Flux (W/m^2)
c   QGFXBY  buoyancy flux (W/m^2)
c   QGFXEP  water flux: E-P (W/m^2)
c   QGFXLH  latent heat flux (W/m^2)
c   QGFXLW  long wave radiation (W/m^2)
c   QGFXNS  net surface heat flux (W/m^2)
c   QGFXSH  sensible heat flux (W/m^2)
c   QGFXSW  short wave radiation (W/m^2)
c   QGFXTH  total heat flux (W/m^2)
c   QGHSTA  hydrographic cruise track stations
c   QGLTRK  Lagrangian drifter trajectories
c   QGMASK  land/sea mask
c   QGMMLB  mixed layer buoyancy (m/s^2)
c   QGMMLT  mixed layer temperature (deg C)
c   QGMPSI  streamfunction (nondimensional)
c   QGMSSE  sea surface elevation (cm)
c   QGMSSS  sea surface salinity (PSU)
c   QGMSST  sea surface temperature (deg C)
c   QGMVOR  vorticity (nondimensional)
c   QGPVEC  horizontal velocity vectors from streamfunction (cm/s)
c   QGP2DH  dynamic heigth from streamfunction (dyn m)
c   QGSALT  salinity (PSU)
c   QGSBLB  SBL buoyancy (m/s^2)
c   QGSBLE  entrainment rate
c   QGSBLH  mixed layer depth (m)
c   QGSBLM  equilibrium depth (m)
c   QGSBLS  SBL salinity (PSU)
c   QGSBLT  SBL temperature (deg C)
c   QGSBLW  SBL vertical velocity (cm/s)
c   QGSBL1  SBL tracer 1
c   QGSBL2  SBL tracer 2
c   QGSBL3  SBL tracer 3
c   QGSBL4  SBL tracer 4
c   QGSIGT  Sigma-t (kg/m^3)
c   QGSNDS  sound speed (m/s)
c   QGSOER  salinity error
c   QGSOMN  salinity mean (PSU)
c   QGTEMP  temperature (deg C)
c   QGTOER  temperature error
c   QGTOMN  temperature mean (deg C)
c   QGUVEL  zonal velocity component (cm/s)
c   QGVMAG  horizontal velocity vector magnitude (cm/s)
c   QGVVEC  horizontal velocity vectors (cm/s)
c   QGVVEL  meridional velocity component (cm/s)
c   QGWVZT  vertical velocity at PE tracer points (cm/s)
c   QGWVZV  vertical velocity at PE velocity points (cm/s)
c   QGWSHV  horizontal wind stress vectors (Pa)
c   QGWSVM  horizontal wind stress vector magnitude (Pa)
c   QGWSXC  zonal wind stress component (Pa)
c   QGWSYC  meridional wind stress component (Pa)
c   QGXPOS  grid x-positions (Cartesian or spherical)
c   QGYPOS  grid y-positions (Cartesian or spherical)
c
c=======================================================================
c
#endif
      integer qgapsi,qgavor,qgbath,qgdano,qgdenb,qgdent,qgdher,qgdhmn,
     *        qgdynh,qgemag,qgevec,qgevxc,qgevyc,qgfxah,qgfxby,qgfxep,
     *        qgfxlh,qgfxlw,qgfxns,qgfxsh,qgfxsw,qgfxth,qghsta,qgltrk,
     *        qgmask,qgmmlb,qgmmlt,qgmpsi,qgmsse,qgmsss,qgmsst,qgmvor,
     *        qgsalt,qgsblb,qgpvec,qgp2dh,qgsble,qgsblh,qgsblm,qgsbls,
     *        qgsblt,qgsblw,qgsbl1,qgsbl2,qgsbl3,qgsbl4,qgsigt,qgsnds,
     *        qgsoer,qgsomn,qgtemp,qgtoer,qgtomn,qguvel,qgvmag,qgvvec,
     *        qgvvel,qgwvzt,qgwvzv,qgwshv,qgwsvm,qgwsxc,qgwsyc,qgxpos,
     *        qgypos
      parameter (qgapsi=3  ,qgavor=4  ,qgbath=6  ,qgdano=71 ,qgdenb=8  ,
     *           qgdent=7  ,qgdher=100,qgdhmn=200,qgdynh=5  ,qgemag=39 ,
     *           qgevec=28 ,qgevxc=29 ,qgevyc=30 ,qgfxah=80 ,qgfxby=38 ,
     *           qgfxep=37 ,qgfxlh=73 ,qgfxlw=76 ,qgfxns=79 ,qgfxsh=74 ,
     *           qgfxsw=75 ,qgfxth=72 ,qghsta=19 ,qgltrk=18 ,qgmask=92 ,
     *           qgmmlb=21 ,qgmmlt=22 ,qgmpsi=1  ,qgmsse=17 ,qgmsss=27 ,
     *           qgmsst=23 ,qgmvor=2  ,qgpvec=9  ,qgp2dh=42 ,qgsalt=12 ,
     *           qgsblb=40 ,qgsble=31 ,qgsblh=20 ,qgsblm=25 ,qgsbls=26 ,
     *           qgsblt=24 ,qgsblw=32 ,qgsbl1=51 ,qgsbl2=52 ,qgsbl3=53 ,
     *           qgsbl4=54 ,qgsigt=70 ,qgsnds=63 ,qgsoer=106,qgsomn=206,
     *           qgtemp=11 ,qgtoer=105,qgtomn=205,qguvel=15 ,qgvmag=41 ,
     *           qgvvec=10 ,qgvvel=16 ,qgwvzt=14 ,qgwvzv=13 ,qgwshv=33 ,
     *           qgwsvm=36 ,qgwsxc=34 ,qgwsyc=35 ,qgxpos=90 ,qgypos=91 )
