      subroutine rollptr (nptr,ptr)
c
c=======================================================================
c                                                                    ===
c  This routine rolls a vector of pointers, assuming the pointer     ===
c  ranges are [0 (nptr-1)].                                          ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NPTR    Length/modulus of ponters.           (integer)         ===
c     PTR     initial state of pointers.           (integer vector)  ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     PTR     updated state of pointers.           (integer vector)  ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer n,nptr
      integer ptr(nptr)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Roll pointers.
c-----------------------------------------------------------------------
c
      do 10 n = 1, nptr
         ptr(n) = mod( (ptr(n)+1), nptr)
  10  continue
c
      return
      end
