c
c=======================================================================
c  Include file "switches.h".
c=======================================================================
#ifndef rmdocinc
c
c  IBIOM       biological model type:
c              [0] None, [1] McGillicuddy, [2] Anderson, [3] Fasham
c  ICOAST      flag to activate the processing of Land/Sea data:
c              [0] no,  [>0] yes.
c  IDBUG       flag to activate the writting of fields for debugging:
c              [0] no,  [>1] yes.
c  IFILE       flag indicating input file type:
c              [0] NetCDF,  [1] OA/FM hexadecimal,  [2] QG hexadecimal
c  IFLAG       PE/PE_INITIAL internal flags.
c                 IFLAG(1)   not used
c                 IFLAG(2)   interpolation switch: [0] linear, [1] cubic-spline
c                 IFLAG(3)   persistent boundary conditions switch:
c                            [0] no, [1] yes
c                 IFLAG(4)   boundary condition on PSI: [1] PSI, [2] d(vort)/dt
c                 IFLAG(5)   switch for setting barotropic velocities
c                       [0] Ref. depth as is,    no bot. steer, bndy from QG psi
c                       [1] Ref. depth as is,    no bot. steer, bndy from UBARO
c                       [2] Ref. depth as is,       bot. steer, bndy from QG psi
c                       [3] Ref. depth as is,       bot. steer, bndy from UBARO
c                       [4] Ref. depth constant, no bot. steer, bndy from QG psi
c                       [5] Ref. depth constant, no bot. steer, bndy from UBARO
c                       [6] Ref. depth constant,    bot. steer, bndy from QG psi
c                       [7] Ref. depth constant,    bot. steer, bndy from UBARO
c                       [8] Ref. depth variable, no bot. steer, bndy from QG psi
c                       [9] Ref. depth variable, no bot. steer, bndy from UBARO
c                      [10] Ref. depth variable,    bot. steer, bndy from QG psi
c                      [11] Ref. depth variable,    bot. steer, bndy from UBARO
c                 IFLAG(6)   ageostrophy: [1] none, [2] beta, [3] full Coriolis
c                 IFLAG(7)   bottom topography switch:
c                            [0] flat, [1] provided file
c                 IFLAG(8)   hybrid coordinates interface level
c                 IFLAG(9)   hybrid coordinates transformation:
c                            [0] single, [1] double
c                 IFLAG(10)  coastal setup switch: [0] no, [1] yes
c  IFPERS      flag indicating persistence boundary conditions:
c              [0] no,  [1] yes.
c  IN_AGEO     flag which indicates that ageostrophic field is available.
c  INITIAL     flag which indicates first pass in the preparation of
c              initial conditions:  [0] no,  [1] yes.
c  INTOPT      flag indicating vertical interpolation option:
c              [0] linear, [1] cubic spline.
c  IOERR       flags indicating the availability of observation error
c              fields for each variable: [0] no,  [1] yes.
c  IOSCL       flags indicating the necessity of rescaling error
c              fields for each variable: [0] no,  [1] yes.
c  ITRC        flag to activate reading of additional tracers file:
c              [0] no,  [>0] yes.
c  ITS2PSI     flag to compute streamfunction from supplied T,S field:
c              [0] no,  [1] yes.
c  JOB         flag to indicate PE_INITIAL job type:
c              [0] initial and boundary condition fields.
c              [1] assimilation fields.
c              [2] initial and boundary conditions with barotropic mode
c                  specification in for open domains.
c              [3] initial and boundary conditions from horizontally
c                  uniform T,S fields.
c  LWRTDYNHT   logical switch indicating the availability of dynamic
c              heigth instead of streamfunction data.
c  LWRTOERR    logical switch to activate the processing of observation
c              error fields.
c  NCALL       flag in main program indicating the number of passes
c              through processing loop.
c  PSURF       flag to select algorithm to compute surface pressure
c              [0] derived from first guess
c              [1] invert from estimated transport
c  PTYPE       flag to select PE external state variables
c              [0] Transport Streamfunction
c              [1] Surface pressure: rigid lid
c              [2] Surface pressure: free surface
c  TIDFLD      flag for use of linear tidal fields.
c              [0] do NOT use.
c              [1] use with time referenced to TSTART
c              [2] use with time referenced to TIDTSTART
c  TRCID       array of tracer IDs for hexadecimal input files.
c  TRCERRID    array of tracer error IDs for hexadecimal input files.
c
c=======================================================================
#endif
c
      logical lwrtdynht,lwrtoerr
      integer ibiom,icoast,idbug,ifile,ifpers,initial,intopt,itrc,
     &        its2psi,job,ncall,psurf,ptype,in_ageo,tidfld
      integer iflag(10),ioerr(0:20),ioscl(0:20),trcid(9),trcerrid(9)
c
      common /switches/ iflag,ifile,job,ioerr,ioscl,lwrtdynht,lwrtoerr,
     &                  initial,ncall,intopt,icoast,itrc,ifpers,idbug,
     &           ibiom,trcid,trcerrid,its2psi,psurf,ptype,in_ageo,tidfld
